* {
  margin: 0px;
  padding: 0px;
}
.main-container {
  background-image: url("../media/site-wallpaper.png");
  width: 100%;
  overflow: hidden;
  display: flex;
  align-items: center;
  flex-direction: column;
}
h1 {
  font-family: raleway, sans-serif;
  color: white;
}
.user-image {
  width: 90%;
  height: max-content;
}
.center-title {
  text-align: center;
  padding-top: 3%;
}
.promo-costa {
  width: 20%;
  position: fixed;
}
.info-promo {
  background-color: #f3d400;
  width: 100%;
  justify-content: center;
  overflow: hidden;
  white-space: nowrap;
  user-select: none;
  --gap: 20px;
  display: flex;
  gap: var(--gap);
  padding: 10px;
  z-index: 100;
}
.message {
  font-family: "Cherry Bomb One", system-ui;
  font-weight: 400;
  font-style: normal;
  font-size: 3rem;
  color: white;
  -webkit-text-stroke: 2px #ea1d24;
}
.center-item {
  display: flex;
  justify-content: center;
  margin-top: -142px;
}
.contact-button {
  font-family: "Cherry Bomb One", system-ui;
  background: #c4151b;
  padding: 0.6rem;
  font-weight: bolder;
  font-size: 2rem;
  color: #eccd02;
  text-decoration: none;
  border-radius: 6px;
}
#money {
  position: fixed;
  inset: 0;
  pointer-events: none;
  z-index: 0;
}
#money div {
  position: absolute;
  top: -40px;
  animation-name: drop, bill;
  animation-iteration-count: infinite;
  animation-timing-function: linear, ease-in-out;
  animation-direction: normal, alternate;
}
.bill {
  background-image: url(../media/10soles.jpg);
  background-size: contain;
  height: 21px;
  width: 51px;
  position: absolute;
}
@keyframes drop {
  from {
    top: -40px;
  }
  to {
    top: 110vh;
  }
}
@keyframes bill {
  0% {
    transform: rotate(-15deg) rotateX(-30deg) rotateY(-20deg);
  }
  100% {
    transform: rotate(15deg) rotateX(30deg) rotateY(20deg);
  }
}

/* ── Responsive ── */

@media (max-width: 600px) {
  .promo-costa {
    width: 90%;
    top: 60px;
  }
  .center-item {
    margin-top: 99%;
  }
  .message {
    font-size: 2rem;
    text-align: center;
  }
  .contact-button {
    font-size: 1.5rem;
    margin: 0 auto;
    width: fit-content;
    border-radius: 20px;
  }
  .info-promo {
    --gap: 6px;
    padding: 9px;
    white-space: unset;
    display: inline-grid;
    border-radius: 40px 40px 0px 0px;
  }
}

@media (min-width: 601px) and (max-width: 1024px) {
  .promo-costa {
    width: 90%;
    top: 60px;
  }
  .center-item {
    margin-top: 99%;
  }
  .message {
    font-size: 2rem;
    text-align: center;
  }
  .contact-button {
    font-size: 1.5rem;
    margin: 0 auto;
    width: fit-content;
    border-radius: 20px;
  }
  .info-promo {
    --gap: 6px;
    padding: 9px;
    white-space: unset;
    display: inline-grid;
    border-radius: 40px 40px 0px 0px;
  }
}
